Arch MergeWalls/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "{{docnav/it|Chiudi i fori|Ispeziona|Arch|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}")
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
{{docnav/it|[[Arch_CloseHoles/it|Chiudi i fori]]|[[Arch_Check/it|Ispeziona]]|[[Arch_Module/it|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">

Revision as of 08:51, 6 April 2019

Unisci Pareti

Posizione nel menu
Arch → Utilità → Unisci Pareti
Ambiente
Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

The MergeWalls tool fuses two or more selected Arch Walls.

Utilizzo

  1. Select two or more walls.
  2. Go to the menu Arch → Utilities → Merge Walls.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])